List agent apps
Lists apps available to the selected account and indicates which ones are installed and active.
OpenAPI
````yaml get /api/v2/apps
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/apps:
get:
tags:
- Apps
summary: List agent apps
description: >-
Lists apps available to the selected account and indicates which ones
are installed and active.
parameters:
- name: targetAccountId
in: query
description: Account whose app catalog should be returned.
required: true
schema:
type: integer
responses:
'200':
description: Successfully retrieved list of apps
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: true
apps:
type: array
items:
$ref: '#/components/schemas/AgentAppManifest'
'401':
description: Unauthorized request
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: false
message:
type: string
example: Unauthorized
'500':
description: Failed to list apps
content:
application/json:
schema:
type: object
properties:
success:
type: boolean
example: false
message:
type: string
example: Failed to list apps
error:
type: string
example: Error details
security:
- apiKeyAuth: []
components:
schemas:
AgentAppManifest:
type: object
description: Agent app metadata and account-specific setup state.
properties:
appId:
type: string
description: Stable app identifier.
version:
type: string
description: App version.
title:
type: string
description: Display name.
description:
type: string
description: What the app enables.
installed:
type: boolean
readOnly: true
description: Whether this app is installed for the selected account.
active:
type: boolean
readOnly: true
description: Whether required setup is complete and the app can be used.
dependencies:
type: object
additionalProperties: true
description: >-
Authentication and configuration requirements. Required properties
include their current account-specific values when available.
additionalProperties: true
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
